Ucs-4.2-5 kopano version

kopano
ucs-4-2

#1

hello, I have a ucs 4.2-5 server with kopano updated by hand at 8.4.9, but in the console appears the release 8.3.1, so I can not update ucs at 4.3.x because first I should update kopano. what is the variable to update for the console to read the correct version?

thanx a lot.


#2

Hi @bbassotti,

the 8.3.1 is the version of the “app” from the appcenter. I don’t think there is a way around this check (have not looked into the code though) instead it’s really recommend to update the app to the latest available version.

As long as your installed Kopano packages are newer than what the app provides they won’t be touched, but the app also provides updates to the integration package and updates dependencies that would otherwise be not available on UCS.

For users of the Kopano repository we have the following documentation: https://wiki.z-hub.io/display/K4U/Performing+an+UCS+distribution+upgrade+with+Kopano+repositories+enabled


#3

I found It:

ldapsearch -x -D cn=admin,dc=mycompany,dc=corp -w $(cat /etc/ldap.secret) -b cn=kopano-core,cn=apps,cn=univention,dc=mycompany,dc=corp univentionAppVersion univentionAppID

dn: univentionAppID=kopano-core_8.3.1,cn=kopano-core,cn=apps,cn=univention,dc=
mycompany,dc=corp
univentionAppVersion: 8.3.1
univentionAppID: kopano-core_8.3.1

I’v changed it, now I can upgrade.

regards.


#4

Well, there is a reason for these checks and requirements, but I have the feeling you won’t listen anyways.

Good luck.